package com.push.democlient.common;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;

public class Utils {
	
	public static final String CONFIG_PREFERENCE_NAME = "RICHPUSH_CONFIG";
	public static final String CONFIG_USERID_NAME = "RICHPUSH_USERID";
	public static final String CONFIG_PASSWORD_NAME = "RICHPUSH_PASSWORD";
	
	public static void setConfigString(Context ac, String key, String value) {
		SharedPreferences preferences = ac.getSharedPreferences(CONFIG_PREFERENCE_NAME, Activity.MODE_PRIVATE);
		SharedPreferences.Editor editor = preferences.edit();
		editor.putString(key, value);
		editor.commit();
	}
	
	public static String getConfigString(Context ac, String key) {
		SharedPreferences preferences = ac.getSharedPreferences(CONFIG_PREFERENCE_NAME, Activity.MODE_PRIVATE);
    	return preferences.getString(key, "");
	}
}
